apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmoa-kube-info-batch
  namespace: {{ .Values.global.IMXC_NAMESPACE }}
  labels:
    app: cmoa-kube-info-batch
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cmoa-kube-info-batch
  template:
    metadata:
      labels:
        app: cmoa-kube-info-batch
    spec:
      containers:
        - name: cmoa-kube-info-batch
          image: {{ .Values.global.IMXC_IN_REGISTRY }}/kube-info-batch:{{ .Values.global.KUBE_INFO_BATCH_VERSION }}
          imagePullPolicy: Always
          env:
            - name: JDBC_KIND
              value: {{ .Values.global.JDBC_KIND }}
            - name: JDBC_SERVER
              value: {{ .Values.global.JDBC_SERVER }}
            - name: JDBC_DB
              value: {{ .Values.global.JDBC_DB }}
            - name: JDBC_USER
              value: {{ .Values.global.JDBC_USER }}
            - name: JDBC_PWD
              value: {{ .Values.global.JDBC_PWD }}
            - name: TABLE_PREFIX
              value: {{ .Values.global.TABLE_PREFIX }}
            - name: BLACK_LIST
              value: {{ .Values.global.BLACK_LIST }}
            - name: DELETE_HOUR
              value: '{{ .Values.global.DELETE_HOUR }}'
